<?php

namespace api\classes;

use api\classes\API;

require_once 'API.php';

class API_companies extends API
{
    public function updateCompanyState()
    {
        $query = "UPDATE companies SET company_state = ? WHERE company_uuid = ?";
        $stmt = $this->prepareStatement($query);
        $stmt->bind_param('ss', $this->data['company_state'], $this->data['company_uuid']);
        if ($this->executeStatement($stmt)) {
            $this->apiOutput(200, ['success' => 'company state successfully updated']);
        }
    }
}